{
    "env": {
        "node": true,
        "es2021": true,
        "commonjs": true,
        "jest": true
    },
    "extends": [
        "airbnb-base",
        "airbnb-typescript/base",
        "prettier"
    ],
    "plugins": [
        "prettier",
        "@typescript-eslint",
        "jest"
    ],
    "parserOptions": {
        "ecmaVersion": 2020,
        "project": [
            "./tsconfig.json"
        ]
    },
    "parser": "@typescript-eslint/parser",
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly",
        "logger": "readonly"
    },
    "rules": {
        "prettier/prettier": [
            "warn",
            {
                "endOfLine": "auto"
            }
        ],
        "operator-linebreak": "off",
        "linebreak-style": "off",
        "semi": [
            "error",
            "always"
        ],
        "@typescript-eslint/semi": [
            "error",
            "always"
        ],
        "import/no-extraneous-dependencies": "off",
        "import/extensions": "off",
        "indent": "off",
        "@typescript-eslint/indent": "off",
        "comma-dangle": "off",
        "@typescript-eslint/comma-dangle": "off",
        "no-console": "off",
        "no-unused-expressions": "off",
        "@typescript-eslint/no-unused-expressions": "off",
        "quotes": "off",
        "@typescript-eslint/quotes": "off",
        "eqeqeq": "warn",
        "wrap-iife": "off",
        "no-underscore-dangle": "off",
        "implicit-arrow-linebreak": "off",
        "function-paren-newline": "off",
        "nonblock-statement-body-position": "off",
        "curly": "off",
        "object-curly-newline": "off",
        "@typescript-eslint/object-curly-spacing": "off",
        "no-async-promise-executor": "off",
        "max-len": "off",
        "no-await-in-loop": "off",
        "no-plusplus": "off",
        "camelcase": "warn",
        "no-confusing-arrow": "off",
        "no-constructor-return": "off",
        "no-return-assign": "off"
    }
}